Package org.eclipse.gef.layout.algorithms

# Class SugiyamaLayoutAlgorithm.SplitCrossingReducer

java.lang.Object
org.eclipse.gef.layout.algorithms.SugiyamaLayoutAlgorithm.SplitCrossingReducer

All Implemented Interfaces:
  `SugiyamaLayoutAlgorithm.CrossingReducer`

Enclosing class:
  SugiyamaLayoutAlgorithm

public static class SugiyamaLayoutAlgorithm.SplitCrossingReducer extends Object implements SugiyamaLayoutAlgorithm.CrossingReducer
Implements the CrossingReducer interface. This algorithm divides each layer by a pivot node based on the relative position of connected nodes and decides which side of the pivot point it should be for the fewer edge crossing.

## Constructor Summary

Constructors
Constructor
Description
`SplitCrossingReducer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`crossReduction(List<List<SugiyamaLayoutAlgorithm.NodeWrapper>> nodes)`
From the given nodes it creates a map of NodeLayouts and NodeWrappers which contains the layers and indexes of the nodes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SplitCrossingReducer

public SplitCrossingReducer()

## Method Details

### crossReduction

public void crossReduction(List<List<SugiyamaLayoutAlgorithm.NodeWrapper>> nodes)
Description copied from interface: `SugiyamaLayoutAlgorithm.CrossingReducer`
From the given nodes it creates a map of NodeLayouts and NodeWrappers which contains the layers and indexes of the nodes

Specified by:
  `crossReduction` in interface `SugiyamaLayoutAlgorithm.CrossingReducer`
Parameters:
  `nodes` - List of nodes needed to be organized